#! /bin/sh

cat > /tmp/rewritecf.sed << EOF_IN
s/P=\/bin\/sh/P=\/usr\/sbin\/smrsh/
s/A=sh -c/A=smrsh -c/
EOF_IN

# REWRITE sendmail.cf
chk=`grep smrsh /etc/mail/sendmail.cf | wc -l`
if [ $chk = "0" ]; then
	sed -f /tmp/rewritecf.sed /etc/mail/sendmail.cf > /tmp/rewritecf.cf
	cp -p /etc/mail/sendmail.cf /etc/mail/sendmail.cf.org
	cp /tmp/rewritecf.cf /etc/mail/sendmail.cf
#else
#	echo "already rewrite sendmail.cf"
fi

# REWRITE fml
chk=`grep smrsh /usr/local/fml/fml.pl | wc -l`
if [ $chk = "0" ]; then
	cat > /tmp/rewritefml.tmp << EOF_IN2
#! /usr/bin/perl
#### begin smrsh hack
push(@INC,   "/usr/local/fml");
#### end smrsh hack
EOF_IN2
	cat /usr/local/fml/fml.pl >> /tmp/rewritefml.tmp
	cp -p /usr/local/fml/fml.pl /usr/local/fml/fml.pl.org
	cp /tmp/rewritefml.tmp /usr/local/fml/fml.pl
#else
#	echo "already rewrite fml.pl"
fi

for i in /usr/local/fml/default_config.ph /usr/local/fml/fml.pl /usr/local/fml/libloadconfig.pl  /usr/local/fml/site_init.ph /usr/bin/vacation; do
chk=`basename $i`
if [ ! -e /usr/adm/sm.bin/$chk ]; then
	mkdir -p /usr/adm/sm.bin
	ln -fs $i /usr/adm/sm.bin
#else
#	echo "already exist $chk";
fi
done

