divert(-1)dnl
dnl This is the macro config file used to generate the /etc/mail/sendmail.cf
dnl file. If you modify thei file you will have to regenerate the
dnl /etc/mail/sendmail.cf by running this macro config through the m4
dnl preprocessor:
dnl
dnl
dnl	cd /usr/lib/sendmail-cf/cf
dnl	make /etc/mail/sendmail.cf
dnl
dnl You will need to have the sendmail-cf package installed for this to
dnl work.

VERSIONID(`linux setup for Turbolinux')dnl
OSTYPE(`linux')dnl
define(`confDEF_USER_ID',`8:12')dnl
undefine(`UUCP_RELAY')dnl
undefine(`BITNET_RELAY')dnl
dnl define(`confAUTO_REBUILD')dnl
define(`confTO_CONNECT', `1m')dnl
define(`confTRY_NULL_MX_LIST',`true')dnl
define(`confDONT_PROBE_INTERFACES',`true')dnl
define(`PROCMAIL_MAILER_PATH',`/usr/bin/procmail')dnl
define(`LOCAL_MAILER_ARGS',`procmail -Y -a $h -d $u ')dnl
define(`STATUS_FILE', `/var/log/sendmail.st')dnl
define(`UUCP_MAILER_MAX', `2000000')dnl
define(`confUSERDB_SPEC', `/etc/mail/userdb.db')dnl
define(`confTo_IDENT', `0s')dnl
dnl define(`confPRIVACY_FLAGS', `authwarnings,novrfy,noexpn')dnl
dnl define(`confTO_QUEUEWARN', `4h')dnl
dnl define(`confTO_QUEUERETURN', `5d')dnl
dnl define(`confQUEUE_LA', `12')dnl
dnl define(`confREFUSE_LA', `18')dnl

dnl If destination user is not found. the mail will be forward to 
dnl the LUSER_RELAY address .
define(`LUSER_RELAY', `local:')dnl

FEATURE(`smrsh',`/usr/sbin/smrsh')dnl
FEATURE(`mailertable',`hash -o /etc/mail/mailertable')dnl
FEATURE(`virtusertable',`hash -o /etc/mail/virtusertable')dnl
FEATURE(`redirect')dnl
FEATURE(`always_add_domain')dnl
FEATURE(`use_cw_file')dnl
FEATURE(`local_procmail')dnl
FEATURE(`access_db')dnl
FEATURE(`blacklist_recipients')dnl
FEATURE(`poprelay')dnl

dnl We strongly recommend to comment this one out if you want to protect
dnl yourself from spam. However, the laptop and users on computers that do
dnl not have 24x7 DNS do need this.
dnl FEATURE(`accept_unresolvable_domains')dnl
dnl FEATURE(`relay_based_on_MX')dnl

dnl
dnl MASQUERADE
dnl

MASQUERADE_AS(`')dnl
MASQUERADE_DOMAIN_FILE(`/etc/mail/masq-domains')dnl
dnl MASQUERADE_AS(`turbolinux.gr.jp')dnl
dnl MASQUERADE_DOMAIN(`otherhost1.turbolinux.gr.jp')dnl
dnl MASQUERADE_DOMAIN(`otherhost1.turbolinux.gr.jp')dnl
dnl FEATURE(`masquerade_entire_domain')dnl
dnl FEATURE(`masquerade_envelope')dnl
dnl EXPOSED_USER(`root postmaster')dnl

dnl
dnl SMTP Auth
dnl

dnl define(`confAUTH_MECHANISMS', `DIGEST-MD5 CRAM-MD5')
dnl define(`confDEF_AUTH_INFO', `/etc/mail/auth-info')
dnl TRUST_AUTH_MECH(`DIGEST-MD5 CRAM-MD5')

dnl or If you want to use SMTP Auth with Microsoft OutlookExpress,
dnl please add LOGIN authentication in defination.
dnl (but LOGIN auth isn't recommended)
dnl
dnl define(`confAUTH_MECHANISMS', `LOGIN DIGEST-MD5 CRAM-MD5')
dnl TRUST_AUTH_MECH(`LOGIN DIGEST-MD5 CRAM')

dnl
dnl STARTTLS (TLS(SSL)) Support
dnl
dnl please make keys named certs.pem and privkey.pem in /etc/mail/certs.
dnl 

dnl define(`confCACERT_PATH', `/etc/mail/certs/')
dnl define(`confCACERT', `confCACERT_PATH/cert.pem')
dnl define(`confSERVER_CERT', `confCACERT_PATH/cert.pem')
dnl define(`confSERVER_KEY', `confCACERT_PATH/privkey.pem')


dnl
dnl If you want to use IPv6, please remove the string "dnl" before
dnl the string "DAEMON_OPTIONS(`Name=MTA-v6 Family=inet6')"
dnl
dnl DAEMON_OPTIONS(`Name=MTA-v4 Family=inet')dnl
dnl DAEMON_OPTIONS(`Name=MTA-v6 Family=inet6')dnl

MAILER(`smtp')dnl
MAILER(`local')dnl
MODIFY_MAILER_FLAGS(`LOCAL', `+S')
