#!/usr/bin/perl

$GROUP_RPM      = "./MailWebServer_UpdateRPM.tgz";
$LOG_FILE	= "/var/log/patch02-15.log";
$FILELIST       = "./InstallFileList.txt";

# ѥå󥹥ȡɲýɬפʥѥå
#ʤ

# 󥹥ȡ뤹ѥå
#ʤ

print "\n---Script Start-----\n\n";
system("echo '---Script Start-----' >> $LOG_FILE");
system("/bin/date >> $LOG_FILE");

if(!-e $GROUP_RPM){
  print "No such file : $GROUP_RPM\n";
  system("echo 'No such file : $GROUP_RPM' >> $LOG_FILE");
  exit 1;
}
if(!open(IN,"/bin/tar -xzf $GROUP_RPM |")){
  print "$GROUP_RPM Decompression Failed.\n";
  system("echo '$GROUP_RPM Decompression Failed.' >> $LOG_FILE");
  exit 1;
}
close(IN);

@HB_fileP=();
if($ARGV[0] eq ""){
  &AllInstall();
}
elsif($ARGV[0] eq "-D"){
 if(-d "./wbmc_rpm"){
   system("/bin/rm -rf ./wbmc_rpm > /dev/null 2>&1");
   print "Delete Sccessful.(./wbmc_rpm)\n";
 }
}
else{
  print "Invalid Option.";
  system("echo 'Invalid Option' >> $LOG_FILE");
}

if(-d "./wbmc_rpm"){
  system("/bin/rm -rf ./wbmc_rpm > /dev/null 2>&1");
}

system("/bin/rpm -qa >> $LOG_FILE");
system("/bin/date >> $LOG_FILE");
print "\n---Script End-----\n";
system("echo '---Script End-----' >> $LOG_FILE");
exit 0;


sub AllInstall
{
  local($rpmname) = "";
  local(@LS_fileP) = ();

  if(!-e $FILELIST){
    print "No such file : $FILELIST\n";
    system("echo 'No such file :$FILELIST' >> $LOG_FILE");
    return;
  }

  &readFile($FILELIST,*LS_fileP);

  foreach $rpmname (@LS_fileP){
    $rpmname =~ s/^\s*//;
    $rpmname =~ s/\s*$//;

	if(!-e "./wbmc_rpm/$rpmname"){
  	  print "No such file : $rpmname\n";
	  system("echo 'No such file : $rpmname' >> $LOG_FILE");
  	  return;
	}
  }

  foreach $rpmname (@LS_fileP){
    $rpmname =~ s/^\s*//;
    $rpmname =~ s/\s*$//;

    UpdateRPM($rpmname);
  }
}

sub UpdateRPM
{
  local($rpmname) = @_;
  local($shortname) = "";
  local(@code) = ();

  $shortname=Judge_RPM($rpmname);

  if(!open(IN,"LANG= /bin/rpm -qq $shortname 2>&1 |")){
    print "Update Failed.($rpmname)\n";
    system("echo 'Update Failed.($rpmname)' >> $LOG_FILE");
    return 1;
  }
  @code = <IN>;
  close(IN);

  if($code[0] =~ /package\s+(.+)\s+is\s+not\s+installed/){
#    print "Package $rpmname is not installed.\n";
    return 0;
  }

  if(!open(IN,"/bin/rpm -U --nodeps --force ./wbmc_rpm/$rpmname > /dev/null 2>&1 |")){
    print "Update Failed.($rpmname)\n";
    system("echo 'Update Failed.($rpmname)' >> $LOG_FILE");
    return 1;
  }
  close(IN);

  print "Update Successful.($rpmname)\n";
  system("echo 'Update Successful.($rpmname)' >> $LOG_FILE");
  return 0;
}

sub InstallRPM
{
  local($rpmname) = @_;
  if(!open(IN,"/bin/rpm -i ./wbmc_rpm/$rpmname > /dev/null 2>&1 |")){
    print "Install Failed.($rpmname)\n";
    system("echo 'Install Failed.($rpmname)' >> $LOG_FILE");
    return 1;
  }
  close(IN);
  print "Update Successful.($rpmname)\n";
  system("echo 'Install Successful.($rpmname)' >> $LOG_FILE");
  return 0;
}

sub Judge_RPM
{
  local($rpmname) = @_;
  local(@code) = ();

  if(!open(IN,"/bin/rpm -qip ./wbmc_rpm/$rpmname |")){
    print "Existence check failed.($rpmname)\n";
    system("echo 'Existence check failed.($rpmname)' >> $LOG_FILE");
    return "";
  }
  @code=<IN>;
  @ent = split(/\s+/,$code[0]);
  return ($ent[2]);

}

sub readFile
{
  local($filename,*fileP) = @_;

  if(open(IN,"$filename")){
    @fileP = <IN>;
    close (IN);
  }

}

sub writeFile
{
  local($filename,*fileP) = @_;

  if(open(OUT,"> $filename")){
    print(OUT @fileP);
    close(OUT);
  }
}
